Alma on Raspberry PI 5

Possibly a stupid question, but here goes: Do the existing Raspberry PI images work on the lastest PI 5?

If not, how may I help out with development/testing??